Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 248289 - [gnome overlay] >=gnome-extra/gucharmap-2.24.1.1 won't compile without "gnome" USE flag
Summary: [gnome overlay] >=gnome-extra/gucharmap-2.24.1.1 won't compile without "gnome...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: http://bugzilla.gnome.org/show_bug.cg...
Whiteboard:
Keywords:
Depends on:
Blocks: gnome2.24
  Show dependency tree
 
Reported: 2008-11-23 12:59 UTC by Hong Hao
Modified: 2008-12-02 00:04 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hong Hao 2008-11-23 12:59:06 UTC
As summary said.

Reproducible: Always

Actual Results:  
/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12    -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare   -march=native -O2 -pipe -fomit-frame-pointer -MT gucharmap-gucharmap-settings.o -MD -MP -MF .deps/gucharmap-gucharmap-settings.Tpo -c -o gucharmap-gucharmap-settings.o `test -f 'gucharmap-settings.c' || echo './'`gucharmap-settings.c
mv -f .deps/gucharmap-gucharmap-mini-fontsel.Tpo .deps/gucharmap-gucharmap-mini-fontsel.Po
gcc-4.3.2 -DHAVE_CONFIG_H -I. -I..  -I.. -DDATADIR=\"/usr/share\" -DLOCALEDIR=\"/usr/share/locale\" -DG_DISABLE_SINGLE_INCLUDES -DPANGO_DISABLE_SINGLE_INCLUDES -DATK_DISABLE_SINGLE_INCLUDES -DGDK_DISABLE_SINGLE_INCLUDES -DGDK_PIXBUF_DISABLE_SINGLE_INCLUDES -DGTK_DISABLE_SINGLE_INCLUDES    -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12    -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare   -march=native -O2 -pipe -fomit-frame-pointer -MT gucharmap-gucharmap-window.o -MD -MP -MF .deps/gucharmap-gucharmap-window.Tpo -c -o gucharmap-gucharmap-window.o `test -f 'gucharmap-window.c' || echo './'`gucharmap-window.c
gucharmap-print-operation.c: In function ‘gucharmap_print_operation_draw_page’:
gucharmap-print-operation.c:223: warning: ‘i’ is used uninitialized in this function
gucharmap-settings.c:242: warning: no previous prototype for ‘gucharmap_settings_set_chapter’
gucharmap-settings.c:248: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘gucharmap_settings_get_chapters_mode’
make[3]: *** [gucharmap-gucharmap-settings.o] Error 1
make[3]: *** Waiting for unfinished jobs....
mv -f .deps/gucharmap-gucharmap-print-operation.Tpo .deps/gucharmap-gucharmap-print-operation.Po
mv -f .deps/gucharmap-gucharmap-search-dialog.Tpo .deps/gucharmap-gucharmap-search-dialog.Po
mv -f .deps/gucharmap-gucharmap-window.Tpo .deps/gucharmap-gucharmap-window.Po
mv -f .deps/libgucharmap_la-gucharmap-unicode-info.Tpo .deps/libgucharmap_la-gucharmap-unicode-info.Plo
make[3]: Leaving directory `/var/tmp/portage/gnome-extra/gucharmap-2.24.1.1/work/gucharmap-2.24.1.1/gucharmap'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/var/tmp/portage/gnome-extra/gucharmap-2.24.1.1/work/gucharmap-2.24.1.1/gucharmap'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/gnome-extra/gucharmap-2.24.1.1/work/gucharmap-2.24.1.1'
make: *** [all] Error 2
 * 
 * ERROR: gnome-extra/gucharmap-2.24.1.1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2842:  Called gnome2_src_compile
 *             environment, line 2079:  Called die
 * The specific snippet of code:
 *       emake || die "compile failure"
 *  The die message:
 *   compile failure



 emerge --info
Portage 2.2_rc15 (default/linux/x86/2008.0/desktop, gcc-4.3.2, glibc-2.8_p20080602-r0, 2.6.27-gentoo-r2 i686)
=================================================================
System uname: Linux-2.6.27-gentoo-r2-i686-Genuine_Intel-R-_CPU_T2300_@_1.66GHz-with-glibc2.0
Timestamp of tree: Sat, 22 Nov 2008 15:29:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p48
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.5.2-r8
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.2
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     9999
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.19
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
DISTDIR="/var/distfiles"
FEATURES="ccache collision-protect confcache distlocks elog metadata-transfer notitles parallel-fetch preserve-libs protect-owned sandbox sfperms sign strict unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="ftp://gentoo.anheng.com.cn/gentoo       http://mirror.averse.net/pub/gentoo                 http://mirrors.acm.cs.rpi.edu/gentoo        http://distfiles.gentoo.org"
INSTALL_MASK="TODO.bz2 INSTALL.bz2"
LANG="en_US.utf-8"
LDFLAGS="-Wl,--hash-style=both,-O1 -Wl,--sort-common -s -Wl,--as-needed"
LINGUAS="en zh_CN zh"
MAKEOPTS="-j5"
PKGDIR="/home/oahong/binpkgs"
PORTAGE_COMPRESS="bz2"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/var/portage/gentoo"
PORTDIR_OVERLAY="/var/portage/remi /var/portage/enlightenment /var/portage/secondlife /var/portage/sunrise /var/portage/x11 /var/portage/desktop-effects /var/portage/gnome /var/portage/rbu /var/portage/wolf31o2 /var/portage/initng /var/portage/oahong"
SYNC="rsync://61.135.158.199/gentoo-portage     rsync://sync.asia.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa bash-comletion berkdb bluetooth branding bzip2 cairo cdparanoia cdr cjk cli crypt cups custom-optimization dbus dri dvd dvdr dvdread emboss encode exif fam ffmpeg flac foomaticdb fortran gdbm gif glitz gphoto2 gpm gstreamer gtk hal iceweasel iconv ieee1394 imagemagic ipv6 ipw3945 irc isdnlog jabber joystick jpeg latex ldap libnotify logrotate mad midi mikmod mmx mono mp3 mpeg mplayer msn mudflap mysql ncurses nls nptl nptlonly nsplugin ogg opengl openmp pam pcre pdf perl php png ppds pppd python qt3support quicktime readline reflection samba sdl session spell spl sse sse2 ssl startup-notification subversion svg sysfs tcpd tiff tokenizer truetype unicode usb vcd vim-syntax vorbis wifi win32codecs x86 xcb xcomposite xine xinerama xml xorg xulrunner xv zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_alias     authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default         authz_groupfile authz_host authz_owner authz_user autoindex cache dav        dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter            file_cache filter headers ident imagemap include info log_config logio       mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer         proxy_connect proxy_http rewrite setenvif so speling status unique_id        userdir usertrack vhost_alias" CAMERAS="canon fuji sony_dscf55 samsung" ELIBC="glibc" INPUT_DEVICES="mouse keyboard evdev synaptics" KERNEL="linux" LCD_DEVICES="ncurses text" LINGUAS="en zh_CN zh" USERLAND="GNU" VIDEO_CARDS="vesa fglrx radeon radeonhd"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, LC_ALL, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Gilles Dartiguelongue gentoo-dev 2008-11-27 23:46:49 UTC
also valid in 2.24.2 it seems. Would you like to open a bug upstream and/or contribute a patch ?
Comment 2 Gilles Dartiguelongue gentoo-dev 2008-12-02 00:04:57 UTC
fixed in overlay without a bump. Thanks for reporting.